# $Revision: 1.71.2.8 $, $Date: 2007/03/01 12:25:26 $
Summary:	SeaHorse - A GNOME front end for GnuPG
Summary(pl):	SeaHorse - frontend GNOME do GnuPG
Name:		seahorse
Version:	0.9.3
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/seahorse/0.9/%{name}-%{version}.tar.bz2
# Source0-md5:	f422acdc655d5e55a4adbdfb026ece07
URL:		http://seahorse.sourceforge.net/
Patch0:		%{name}-install.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-cflags.patch
Patch3:		%{name}-po.patch
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.62
BuildRequires:	gedit2-devel >= 2.14.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils >= 0.6.0
BuildRequires:	gnome-panel-devel >= 2.14.0
BuildRequires:	gpgme-devel >= 1:1.0.0
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libsoup-devel >= 2.2.93
BuildRequires:	libtool
BuildRequires:	nautilus-devel >= 2.14.0
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Requires:	gnupg >= 1.2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Seahorse is a GNOME front end for GnuPG - the Gnu Privacy Guard
program. It is a tool for secure communications and data storage. Data
encryption and digital signature creation can easily be performed
through a GUI and Key Management operations can easily be carried out
through an intuitive interface. Both English and Japanese is support
is provided.

%description -l pl
SeaHorse to frontend GNOME do programu GnuPG - Gnu Privacy Guard. Jest
to narzdzie do bezpiecznego komunikowania i przechowywania danych.
Szyfrowanie danych i tworzenie cyfrowego podpisu moe by atwo
realizowane poprzez graficzny interfejs uytkownika, a zarzdzanie
kluczami jest prowadzone przez intuicyjny interfejs.

%package -n gedit-plugin-seahorse
Summary:	Seahorse plugin for Gedit
Summary(pl):	Wtyczka Seahorse dla Gedit
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires(post,preun):	GConf2
Requires:	gedit2 >= 2.14.0

%description -n gedit-plugin-seahorse
This plugin performs encryption operations on text.

%description -n gedit-plugin-seahorse -l pl
Wtyczka wykonujca operacje szyfrujce na tekscie.

%package -n nautilus-extension-seahorse
Summary:	Seahorse extension for Nautilus
Summary(pl):	Rozszerzenie Seahorse dla Nautilusa
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 2.14.0

%description -n nautilus-extension-seahorse
Extension for signing and encrypting files.

%description -n nautilus-extension-seahorse -l pl
Rozszerzenie do podpisywania i szyfrowania plikw.

%package -n gnome-applet-seahorse
Summary:	Seahorse applet
Summary(pl):	Aplet Seahorse
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-panel >= 2.14.0

%description -n gnome-applet-seahorse
Seahorse applet.

%description -n gnome-applet-seahorse -l pl
Aplet Seahorse.

%package -n libcryptui
Summary:	libcryptui library
Summary(pl):	Biblioteka libcryptui
Group:		Libraries

%description -n libcryptui
libcryptui library.

%description -n libcryptui -l pl
Biblioteka libcryptui.

%package -n libcryptui-devel
Summary:	Header files for libcryptui library
Summary(pl):	Pliki nagwkowe biblioteki libcryptui
Group:		Development/Libraries
Requires:	libcryptui = %{version}-%{release}

%description -n libcryptui-devel
This is the package containing the header files for libcryptui library.

%description -n libcryptui-devel -l pl
Ten pakiet zawiera pliki nagwkowe biblioteki libcryptui.

%package -n libcryptui-static
Summary:	Static libcryptui library
Summary(pl):	Statyczna biblioteka libcryptui
Group:		Development/Libraries
Requires:	libcryptui-devel = %{version}-%{release}

%description -n libcryptui-static
Static libcryptui library.

%description -n libcryptui-static -l pl
Statyczna biblioteka libcryptui.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__intltoolize}
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-update-mime-database \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome
%find_lang %{name}-applet --with-gnome

rm -f $RPM_BUILD_ROOT%{_libdir}/{gedit-2/plugins,nautilus/extensions-1.0}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/{gedit-2/plugins,nautilus/extensions-1.0}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install seahorse.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall seahorse.schemas

%postun
/sbin/ldconfig
%scrollkeeper_update_postun
%update_icon_cache hicolor

%post -n gedit-plugin-seahorse
%gconf_schema_install seahorse-gedit.schemas

%preun -n gedit-plugin-seahorse
%gconf_schema_uninstall seahorse-gedit.schemas

%post -n nautilus-extension-seahorse
%update_mime_database

%preun -n nautilus-extension-seahorse
%update_mime_database

%post -n gnome-applet-seahorse
%scrollkeeper_update_post
%update_icon_cache hicolor

%postun -n gnome-applet-seahorse
%scrollkeeper_update_postun
%update_icon_cache hicolor

%post	-n libcryptui -p /sbin/ldconfig
%postun	-n libcryptui -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/seahorse
%attr(755,root,root) %{_bindir}/seahorse-daemon
%attr(755,root,root) %{_bindir}/seahorse-preferences
%attr(755,root,root) %{_bindir}/seahorse-tool
%dir %{_libdir}/seahorse
%attr(755,root,root) %{_libdir}/seahorse/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/*
%{_desktopdir}/*.desktop
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*
%exclude %{_pixmapsdir}/%{name}/*/%{name}-applet*
%{_iconsdir}/hicolor/*/*/*
%exclude %{_iconsdir}/hicolor/*/*/%{name}-applet*
%{_sysconfdir}/gconf/schemas/seahorse.schemas
%{_mandir}/man1/seahorse*

%files -n gedit-plugin-seahorse
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gedit-2/plugins/libseahorse-pgp.so
%{_libdir}/gedit-2/plugins/seahorse-pgp.gedit-plugin
%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas

%files -n nautilus-extension-seahorse
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-1.0/*.so
%{_datadir}/mime/packages/seahorse.xml

%files -n gnome-applet-seahorse -f %{name}-applet.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/seahorse-applet
%{_libdir}/bonobo/servers/*
%{_omf_dest_dir}/%{name}-applet
%{_datadir}/gnome-2.0/ui/*
%{_pixmapsdir}/%{name}/*/%{name}-applet*
%{_iconsdir}/hicolor/*/*/%{name}-applet*

%files -n libcryptui
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcryptui.so.*.*.*

%files -n libcryptui-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcryptui.so
%{_libdir}/libcryptui.la
%{_includedir}/libcryptui
%{_pkgconfigdir}/*.pc

%files -n libcryptui-static
%defattr(644,root,root,755)
%{_libdir}/libcryptui.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seahorse.spec,v $
Revision 1.71.2.8  2007/03/01 12:25:26  hawk
- fixed .po build errors
- release 4

Revision 1.71.2.7  2006/08/26 14:56:30  havner
- rel 3 argh

Revision 1.71.2.6  2006/08/26 14:39:02  havner
- rel 2

Revision 1.71.2.5  2006/08/26 14:16:44  havner
- 0.9.3

Revision 1.71.2.4  2006/08/17 21:52:36  havner
- HEAD merge, 0.9.2.1

Revision 1.71.2.3  2006/08/09 23:00:38  havner
- tab

Revision 1.71.2.2  2006/08/09 22:28:47  havner
- proper R:

Revision 1.71.2.1  2006/08/08 21:24:53  havner
- 0.9.1, HEAD merge

Revision 1.79  2006/08/08 21:14:25  freetz
- use HEAD deps / rpm macros

Revision 1.78  2006/07/26 14:28:00  havner
- BR gnome-panel-devel

Revision 1.77  2006/07/25 20:05:07  qboosh
- missing dir, dot

Revision 1.76  2006/07/25 19:57:48  havner
- argh, again

Revision 1.75  2006/07/25 19:52:28  havner
- formatting, typo in changelog

Revision 1.74  2006/07/25 19:51:15  havner
- mime file in nautilus subpackage

Revision 1.73  2006/07/25 19:50:41  havner
- 0.9.1
- applet subpackage
- libcrytpui library

Revision 1.72  2006/03/06 12:38:45  freetz
- 0.8.1

Revision 1.71  2006/01/17 15:42:52  baggins
- release 2
- BR openldap 2.3

Revision 1.70  2005/10/06 18:05:39  freetz
- 0.8, dropped gedit patch (already in sources)

Revision 1.69  2005/09/18 10:03:24  paladine
- rel. 5 for fixed desktop patch

Revision 1.68  2005/09/09 14:01:01  freetz
- fixed patch3, rel.4

Revision 1.67  2005/09/09 09:35:05  paladine
- added gedit patch
- bumped BRs/Rs
- rel. 3

Revision 1.66  2005/09/09 07:21:30  freetz
- rebuild with new gnome libs, rel.2

Revision 1.65  2005/08/09 13:09:14  paladine
- missing BR: scrollkeeper

Revision 1.64  2005/07/28 17:33:14  freetz
- 0.7.9

Revision 1.63  2005/07/12 06:21:07  arekm
- rel 3

Revision 1.62  2005/07/05 21:28:42  freetz
- pl_po patch added, more BRs

Revision 1.61  2005/05/15 00:20:25  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.60  2005/05/09 08:28:33  paladine
- updated to 0.7.8
- removed outdated search_fix patch
- updated install patch

Revision 1.59  2005/04/20 10:55:22  freetz
- search works now (patch added), rel.2

Revision 1.58  2005/04/16 18:18:42  qboosh
- tabs

Revision 1.57  2005/04/16 18:16:33  freetz
- fixed changelog

Revision 1.56  2005/04/16 18:12:55  freetz
- up to 0.7.7, updated/revisited/changed BRs/Rs, gedit, nautilus
  subpackages added, new style macros, updated/removed obsoleted patches

Revision 1.55  2005/03/29 20:52:10  havner
- rel 2

Revision 1.54  2005/03/29 20:44:34  havner
- typo

Revision 1.53  2005/03/29 20:32:35  havner
- updated to 0.7.6

Revision 1.52  2005/03/28 01:44:24  havner
- rel 1

Revision 1.51  2005/02/13 21:21:06  qboosh
- argh, updated to 0.7.5, removed obsolete pic,gedit28 patches

Revision 1.50  2005/02/13 21:08:36  qboosh
- updated desktop patch, added pic patch, updated files

Revision 1.49  2005/02/13 18:12:23  qboosh
- BR: gedit2-devel

Revision 1.48  2005/02/13 17:05:46  qboosh
- gpgme epoch, cleanup

Revision 1.47  2004/10/21 20:02:41  aflinta
- started update to version 0.7.4, NFY

Revision 1.46  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.45  2004/09/16 22:17:20  havner
- rel 7 for updated desktop patch

Revision 1.44  2004/09/15 23:24:55  havner
- rel 6 for one more change in desktop patch

Revision 1.43  2004/09/15 21:11:27  havner
- updated desktop patch
- fixed %%files for proper capplet location

Revision 1.42  2004/08/17 15:03:40  ankry
- rel. 4 to rebuild

Revision 1.41  2004/07/15 10:03:34  ankry
- rel. 3

Revision 1.40  2004/07/15 09:21:54  ankry
- added some pl translation, no->nb (-locale patch)
- desktop Encoding set (-desktop patch)

Revision 1.39  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.38  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.37  2003/05/27 11:40:18  trojan
- added Source-md5

Revision 1.36  2003/05/25 06:26:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/05 11:08:10  qboosh
- BR: libtool

Revision 1.34  2003/05/02 10:57:59  luzik
- added BC gpgme-devel >= 0.4.0

Revision 1.33  2003/05/02 08:13:45  adamg
- added missing BR: gnome-mime-data-devel

Revision 1.32  2003/05/01 20:54:21  aflinta
- version 0.7.3

Revision 1.31  2003/03/25 21:23:24  jareq
- BR: eel-devel

Revision 1.30  2003/03/25 07:14:24  aflinta
- updated to version 0.7.2

Revision 1.29  2003/03/03 20:32:30  aflinta
- updated to version 0.7.1

Revision 1.28  2003/02/12 08:35:09  trojan
- removed outdated patches
- fixed BR: s/libglade/libglade2/

Revision 1.27  2003/02/11 13:13:53  blues
- added Req (it has no sense without gnupg...)

Revision 1.26  2003/02/11 12:31:18  qboosh
- BR: intltool, added R(), standarized Source0 URL

Revision 1.25  2003/02/11 11:44:21  trojan
- updated to 0.7.0

Revision 1.24  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.23  2002/11/29 22:46:21  ankry
- massive attack: new %%doc

Revision 1.22  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.20  2002/05/21 23:14:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/12/14 03:49:35  kloczek
- regenerate ac/am files,
- added am15 patch (fixes for automake 1.5),
- added pixmapsdr patch (place png Icon for desktop file directly in pixmapsdir
  directory).

Revision 1.15  2001/12/13 13:13:00  qboosh
- adapterized, pl translations; release 3

Revision 1.14  2001/03/01 01:50:47  kloczek
- release 2,
- rebuild against gnome-libs linked with new audiofile,
- added gnome-libs-devel to BuildRequires.

Revision 1.13  2001/02/20 02:52:54  kloczek
- updated to 0.5.0.

Revision 1.12  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/10/30 10:05:21  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.10  2000/10/25 01:19:40  kloczek
- updated to 0.4.9,
- use new rpm automation.

Revision 1.9  2000/06/14 20:13:20  kloczek
- updated to 0.4.8.

Revision 1.8  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.7  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/29 18:33:30  kloczek
- updated to 0.4.6,
- spec adapterized,
- desktop file moved from Applications to Utilities.

Revision 1.4  2000/05/09 08:21:26  kloczek
- updated to 0.4.5.

Revision 1.3  2000/04/14 17:41:22  kloczek
- sht%$! added missing %attr for executable.

Revision 1.2  2000/04/14 17:25:14  kloczek
- completly rewrited in PLD style.
